## lcat_1.0-2.05_with_binary.tar.gz

=== Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/lcat
pkglibdir = $(libdir)/lcat
pkgincludedir = $(includedir)/lcat
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
	ChangeLog INSTALL NEWS config.guess config.sub depcomp \
	install-sh ltmain.sh missing mkinstalldirs
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/util/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run autoconf
AUTOHEADER = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run autoheader
AUTOMAKE = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run automake-1.9
AWK = gawk
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GETTEXT_PACKAGE = lcat
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GOBJECT_QUERY = gobject-query
GREP = /bin/grep
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lglib-2.0  
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = 
LIBOBJS =  ${LIBOBJDIR}mktime$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}mktime$U.lo
MAKEINFO = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJEXT = o
PACKAGE = lcat
PACKAGE_BUGREPORT = 
PACKAGE_NAME = lcat
PACKAGE_STRING = lcat 1.0.0
PACKAGE_TARNAME = lcat
PACKAGE_VERSION = 1.0.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 1.0.0
XGETTEXT = /usr/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /ramdisk/home/knoppix/lcat_1.0-2.05/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/local/share/lcat/icons
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs =  cloop-2.05-opt
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
SUBDIRS = util po cloop-2.05-opt
EXTRA_DIST = autogeh.sh
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \

=== cloop-2.05-opt/Makefile ===
# Makefile.in for kernel module

SHELL = /bin/sh
INSTALL = /usr/bin/install -c
mkdir_p = mkdir -p
majver = kernsrcver=UTS_RELEASE
VERSION = 1.0.0

KVERSION=$(shell uname -r)

DISTFILES = Makefile.in configure.ac configure config.h.in ../install-sh \
	cloop.c cloop.h
DISTDIR = /usr/local

CC = gcc
LD = ld

INCLUDES += -I/UNIONFS/usr/src/linux-2.6.19.1/arch/um/include/ \
	-I/UNIONFS/usr/src/linux-2.6.19.1/arch/um/kernel/tt/include/ \
	-I/UNIONFS/usr/src/linux-2.6.19.1/arch/um/kernel/skas/include \
        -I/UNIONFS/usr/src/linux-2.6.19.1/include/asm-i386/mach-default

CFLAGS:=-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -s -I. -fno-strict-aliasing -fno-common -fomit-frame-pointer $(INCLUDES)
# CFLAGS:=-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -s -I. -fno-strict-aliasing -fno-common -fomit-frame-pointer

ifeq ($(PATCHLEVEL),6)
MODULE:=cloop.ko
else
MODULE:=cloop.o
endif

all: utils module
install: install-utils install-module
uninstall: clean
module: $(MODULE)

clean:
	rm -f $(cloopmodule) *.o .*.cmd *.mod.c *.ko *.s */*.o create_compressed_fs extract_compressed_fs *~
	$(MAKE) -C advancecomp-1.14 clean
	rm -f */config.status */config.log tmp

distclean: clean
	rm -f Makefile
	rm -f config.h config.log config.status config.cache
	rm -rf .tmp_versions

maintainer-clean: distclean

distdir: $(DISTFILES) $(COMPATDISTFILES)
	cp -p $(DISTFILES) $(distdir)
	mkdir $(DISTDIR)/compat
	cp -p $(COMPATDISTFILES) $(DISTDIR)/compat

obj-m := cloop.o
cloop-objs := compressed_loop.o

ifeq ($(shell grep 'UTS.*"2\.6' /UNIONFS/usr/src/linux-2.6.19.1/include/linux/version.h),)
 -include /UNIONFS/usr/src/linux-2.6.19.1/.config
 -include /UNIONFS/usr/src/linux-2.6.19.1/config.vars

# CKERNOPS:=-D__KERNEL__ -DMODULE -O3 -fno-builtin -nostdlib -DKBUILD_MODNAME="cloop" -DKBUILD_BASENAME="cloop"

 CKERNOPS:=-DMODULE -O3 -fno-builtin -DKBUILD_MODNAME="cloop" -DKBUILD_BASENAME="cloop"

 MODVERSIONS:= -DMODVERSIONS -include /UNIONFS/usr/src/linux-2.6.19.1/include/config/modversions.h
 CKERNOPS += $(MODVERSIONS)

 ifdef CONFIG_SMP
  CKERNOPS += -D__SMP__
  endif

 $(MODULE):
#	$(CC) $(CFLAGS) $(CKERNOPS) $(CFLAGS_$@) -o cloop.o -c compressed_loop.c
	$(MAKE) modules -C /UNIONFS/usr/src/linux-2.6.19.1 M=$(CURDIR)
# install-module: module
#	cp cloop.o $(INSTALL_MOD_PATH)/lib/modules/$(KVERSION)/kernel/drivers/extra


 compressed_loop.o create_compressed_fs.o: compressed_loop.h

else

 EXTRA_CFLAGS := -I /UNIONFS/usr/src/linux-2.6.19.1/include/asm/mach-default 

 module: compressed_loop.h compressed_loop.c
	$(MAKE) modules -C /UNIONFS/usr/src/linux-2.6.19.1 M=$(CURDIR) KERNELRELEASE=$(KVERSION)

 install-module: module
	$(MAKE) modules_install -C /UNIONFS/usr/src/linux-2.6.19.1 M=$(CURDIR) KERNELRELEASE=$(KVERSION)

endif

utils: create_compressed_fs_chk extract_compressed_fs_chk

install-utils: utils
	mkdir -p $(DESTDIR)/bin
	install -m0755 create_compressed_fs $(DESTDIR)/bin

create_compressed_fs_chk:
	if test -d ./advancecomp-1.14; then \
	  $(MAKE) create_compressed_fs; \
	fi

create_compressed_fs: advancecomp-1.14/advfs
	ln -f $< $@

advancecomp-1.14/advfs: advancecomp-1.14/config.status
	$(MAKE) -C advancecomp-1.14 advfs

advancecomp-1.14/config.status: advancecomp-1.14
	cd advancecomp-1.14 && ./configure

extract_compressed_fs_chk:
	if test -f ./extract_compressed_fs.c; then \
	  $(MAKE) extract_compressed_fs; \
	fi

extract_compressed_fs: extract_compressed_fs.o
	$(CC) -o $@ $< -lz

# to build packages for Knoppix
packages:
	fakeroot debian/rules binary
	cp -a . ../tmp-cloop-modbuild
	cd ../tmp-cloop-modbuild && fakeroot debian/rules binary-modules && rm -rf ../tmp-cloop-modbuild

=== ddcprobe/Makefile ===
ARCH := $(patsubst i%86,i386,$(shell uname -m))
ARCH := $(patsubst sparc%,sparc,$(ARCH))
ARCH := $(patsubst ppc%,ppc,$(ARCH))

CC = gcc
CFLAGS = -Wall -O2 -g# -DDEBUG
TARGETS = ddcprobe ddcxinfo 
DDC_OBJS = vesamode.o common.o
DDC_LIBS =

ifeq ($(ARCH),i386)
TARGETS += svgamodes modetest libvbe.a
DDC_OBJS += lrmi.o vbe.o
endif

ifeq ($(ARCH),ppc)
DDC_OBJS += of.o ../minifind.o
endif

ifeq (.depend,$(wildcard .depend))
TARGET=all
else
TARGET=depend all
endif

everything: $(TARGET)

all: $(TARGETS)

install: $(TARGETS)
	cp -a ddcprobe $(DESTDIR)/usr/sbin/ddcprobe

 
# i386 and ppc targets
ddcprobe: $(DDC_OBJS) ddcprobe.o
	$(CC) $(CFLAGS) -o ddcprobe $(DDC_OBJS) ddcprobe.o $(DDC_LIBS)
ddcxinfo: $(DDC_OBJS) ddcxinfo.o
	$(CC) $(CFLAGS) -o ddcxinfo $(DDC_OBJS) ddcxinfo.o $(DDC_LIBS)

# i386 only targets
svgamodes: lrmi.o vesamode.o vbe.o svgamodes.o
modetest: lrmi.o vesamode.o vbe.o modetest.o
libvbe.a: lrmi.o vesamode.o vbe.o
	$(AR) cru $@ $^

install-lib: $(prefix)/include/vbe.h $(prefix)/lib/libvbe.a

$(prefix)/include/vbe.h:
	install -m 644 vbe.h $(prefix)/include/vbe.h

$(prefix)/lib/libvbe.a:
	install -m 644 libvbe.a $(prefix)/lib/libvbe.a

clean:
	$(RM) $(TARGETS) *.o .depend core

depend:
	$(CPP) -M $(CFLAGS) *.c > .depend

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file file be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.
#
# - Modified by Owen Taylor <otaylor@redhat.com> to use GETTEXT_PACKAGE
#   instead of PACKAGE and to look for po2tbl in ./ not in intl/
#
# - Modified by jacob berkman <jacob@ximian.com> to install
#   Makefile.in.in and po2tbl.sed.in for use with glib-gettextize

GETTEXT_PACKAGE = lcat
PACKAGE = lcat
VERSION = 1.0.0

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = ${prefix}/share
libdir = ${exec_prefix}/lib
localedir = $(libdir)/locale
gnulocaledir = $(datadir)/locale
gettextsrcdir = $(datadir)/glib-2.0/gettext/po
subdir = po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_srcdir)/./mkinstalldirs

CC = gcc
GENCAT = @GENCAT@
GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = 
POFILES = 
GMOFILES = 
DISTFILES = ChangeLog Makefile.in.in POTFILES.in $(GETTEXT_PACKAGE).pot \
$(POFILES) $(GMOFILES) $(SOURCES)

POTFILES = \
	../src/cloopprofiler.c \
	../src/callbacks.c \
	../src/interface.c \
	../src/support.c
CATALOGS = 
CATOBJEXT = .gmo
INSTOBJEXT = .mo

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(GETTEXT_PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(GETTEXT_PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -c -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-yes

all-yes: $(CATALOGS)
all-no:

$(srcdir)/$(GETTEXT_PACKAGE).pot: $(POTFILES)
	$(XGETTEXT) --default-domain=$(GETTEXT_PACKAGE) --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
          --flag=g_strdup_printf:1:c-format \
          --flag=g_string_printf:2:c-format \
          --flag=g_string_append_printf:2:c-format \
          --flag=g_error_new:3:c-format \
          --flag=g_set_error:4:c-format \
          --flag=g_markup_printf_escaped:1:c-format \
          --flag=g_log:3:c-format \
          --flag=g_print:1:c-format \
          --flag=g_printerr:1:c-format \
          --flag=g_printf:1:c-format \
          --flag=g_fprintf:2:c-format \
          --flag=g_sprintf:2:c-format \
          --flag=g_snprintf:3:c-format \
          --flag=g_scanner_error:2:c-format \
          --flag=g_scanner_warn:2:c-format \
	  --files-from=$(srcdir)/POTFILES.in \
	&& test ! -f $(GETTEXT_PACKAGE).po \
	   || ( rm -f $(srcdir)/$(GETTEXT_PACKAGE).pot \
		&& mv $(GETTEXT_PACKAGE).po $(srcdir)/$(GETTEXT_PACKAGE).pot )

install: install-exec install-data
install-exec:
install-data: install-data-yes
install-data-no: all
install-data-yes: all
	if test -r "$(MKINSTALLDIRS)"; then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  if test -r "$(MKINSTALLDIRS)"; then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(SHELL) $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(GETTEXT_PACKAGE)$(INSTOBJEXT).m; \
	done
	if test "$(PACKAGE)" = "glib"; then \
	  rm -f $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	fi

check: all

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(GETTEXT_PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in POTFILES *.mo *.msg *.cat *.cat.m

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES)

distdir = ../$(GETTEXT_PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
	    || cp -p $(srcdir)/$$file $(distdir); \
	done

update-po: Makefile
	$(MAKE) $(GETTEXT_PACKAGE).pot
	tmpdir=`pwd`; \
	cd $(srcdir); \
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  echo "$$lang:"; \
	  if $(MSGMERGE) $$lang.po $(GETTEXT_PACKAGE).pot -o $$tmpdir/$$lang.new.po; then \
	    if cmp $$lang.po $$tmpdir/$$lang.new.po >/dev/null 2>&1; then \
	      rm -f $$tmpdir/$$lang.new.po; \
            else \
	      if mv -f $$tmpdir/$$lang.new.po $$lang.po; then \
	        :; \
	      else \
	        echo "msgmerge for $$lang.po failed: cannot move $$tmpdir/$$lang.new.po to $$lang.po" 1>&2; \
	        rm -f $$tmpdir/$$lang.new.po; \
	        exit 1; \
	      fi; \
	    fi; \
	  else \
	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$tmpdir/$$lang.new.po; \
	  fi; \
	done

# POTFILES is created from POTFILES.in by stripping comments, empty lines
# and Intltool tags (enclosed in square brackets), and appending a full
# relative path to them
POTFILES: POTFILES.in
	( if test 'x$(srcdir)' != 'x.'; then \
	    posrcprefix='$(top_srcdir)/'; \
	  else \
	    posrcprefix="../"; \
	  fi; \
	  rm -f $@-t $@ \
	    && (sed -e '/^#/d' 						\
		    -e "s/^\[.*\] +//" 					\
		    -e '/^[ 	]*$$/d' 				\
		    -e "s@.*@	$$posrcprefix& \\\\@" < $(srcdir)/$@.in	\
		| sed -e '$$s/\\$$//') > $@-t \
	    && chmod a-w $@-t \
	    && mv $@-t $@ )

Makefile: Makefile.in.in ../config.status POTFILES
	cd .. \
	  && CONFIG_FILES=$(subdir)/$@.in CONFIG_HEADERS= \
	       $(SHELL) ./config.status

# Tell versions [3.59,3.63) of GNU make not to export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== util/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# util/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/lcat
pkglibdir = $(libdir)/lcat
pkgincludedir = $(includedir)/lcat
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
bin_PROGRAMS = cloopoptimizer$(EXEEXT) cloopreadahead$(EXEEXT) \
	rblk2bl$(EXEEXT) appblk2bl$(EXEEXT) \
	extract_compressed_opt_fs$(EXEEXT) $(am__EXEEXT_1)
am__append_1 = cloopprofiler
am__append_2 = ${GTK_CFLAGS} ${GTHREAD_CFLAGS}
subdir = util
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__EXEEXT_1 = cloopprofiler$(EXEEXT)
am__installdirs = "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_appblk2bl_OBJECTS = cloop_optimizer.$(OBJEXT) appblk2bl.$(OBJEXT) \
	log2list.$(OBJEXT)
appblk2bl_OBJECTS = $(am_appblk2bl_OBJECTS)
appblk2bl_LDADD = $(LDADD)
am_cloopoptimizer_OBJECTS = cloop_optimizer.$(OBJEXT) \
	cloopoptimizer.$(OBJEXT)
cloopoptimizer_OBJECTS = $(am_cloopoptimizer_OBJECTS)
cloopoptimizer_LDADD = $(LDADD)
am_cloopprofiler_OBJECTS = cloop_optimizer.$(OBJEXT) \
	log2list.$(OBJEXT) support.$(OBJEXT) interface.$(OBJEXT) \
	callbacks.$(OBJEXT) cloopprofiler.$(OBJEXT)
cloopprofiler_OBJECTS = $(am_cloopprofiler_OBJECTS)
am__DEPENDENCIES_1 =
cloopprofiler_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1)
am_cloopreadahead_OBJECTS = cloopreadahead.$(OBJEXT)
cloopreadahead_OBJECTS = $(am_cloopreadahead_OBJECTS)
cloopreadahead_LDADD = $(LDADD)
am_extract_compressed_opt_fs_OBJECTS =  \
	extract_compressed_opt_fs.$(OBJEXT)
extract_compressed_opt_fs_OBJECTS =  \
	$(am_extract_compressed_opt_fs_OBJECTS)
extract_compressed_opt_fs_DEPENDENCIES =
am_rblk2bl_OBJECTS = cloop_optimizer.$(OBJEXT) rblk2bl.$(OBJEXT) \
	log2list.$(OBJEXT)
rblk2bl_OBJECTS = $(am_rblk2bl_OBJECTS)
rblk2bl_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(appblk2bl_SOURCES) $(cloopoptimizer_SOURCES) \
	$(cloopprofiler_SOURCES) $(cloopreadahead_SOURCES) \
	$(extract_compressed_opt_fs_SOURCES) $(rblk2bl_SOURCES)
DIST_SOURCES = $(appblk2bl_SOURCES) $(cloopoptimizer_SOURCES) \
	$(cloopprofiler_SOURCES) $(cloopreadahead_SOURCES) \
	$(extract_compressed_opt_fs_SOURCES) $(rblk2bl_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run autoconf
AUTOHEADER = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run autoheader
AUTOMAKE = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run automake-1.9
AWK = gawk
CATALOGS = 
CATOBJEXT = .gmo
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GETTEXT_PACKAGE = lcat
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GLIB_GENMARSHAL = glib-genmarshal
GLIB_LIBS = -lglib-2.0  
GLIB_MKENUMS = glib-mkenums
GMOFILES = 
GMSGFMT = /usr/bin/msgfmt
GOBJECT_QUERY = gobject-query
GREP = /bin/grep
GTHREAD_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
GTHREAD_LIBS = -pthread -lgthread-2.0 -lglib-2.0  
GTK_CFLAGS = -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lfontconfig -lXext -lXrender -lXinerama -lXi -lXrandr -lXcursor -lXfixes -lpango-1.0 -lcairo -lX11 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0  
HAVE_GTK_FALSE = #
HAVE_GTK_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
INSTOBJEXT = .mo
INTLLIBS = 
LDFLAGS = 
LIBOBJS =  ${LIBOBJDIR}mktime$U.o
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS =  ${LIBOBJDIR}mktime$U.lo
MAKEINFO = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/missing --run makeinfo
MKINSTALLDIRS = ./mkinstalldirs
MSGFMT = /usr/bin/msgfmt
OBJEXT = o
PACKAGE = lcat
PACKAGE_BUGREPORT = 
PACKAGE_NAME = lcat
PACKAGE_STRING = lcat 1.0.0
PACKAGE_TARNAME = lcat
PACKAGE_VERSION = 1.0.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
POFILES = 
POSUB = po
PO_IN_DATADIR_FALSE = 
PO_IN_DATADIR_TRUE = 
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
USE_NLS = yes
VERSION = 1.0.0
XGETTEXT = /usr/bin/xgettext
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /ramdisk/home/knoppix/lcat_1.0-2.05/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
pixmapdir = /usr/local/share/lcat/icons
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs =  cloop-2.05-opt
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
INCLUDES = \
	-DDATADIR=\""\$(datadir)"\"\
	-DPACKAGE_DATA_DIR=\""$(datadir)"\"\
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\"\
	-DGNOME_ICONDIR=\""$(datadir)/icons"\"

#STRIP = /usr/bin/strip
AM_CFLAGS = -Wall -O2 -g $(am__append_2)
#	$(STRIP) -s $(bin_PROGRAMS)
cloopoptimizer_SOURCES = cloop_optimizer.c cloop_optimizer.h \
			 cloopoptimizer.c

cloopreadahead_SOURCES = compressed_loop.h cloopreadahead.c
cloopreadahead_LDFLAGS = -all-static
rblk2bl_SOURCES = cloop_optimizer.h cloop_optimizer.c\
		  rblk2bl.c log2list.c 

appblk2bl_SOURCES = cloop_optimizer.h cloop_optimizer.c \
		    appblk2bl.c log2list.c 

extract_compressed_opt_fs_SOURCES = extract_compressed_opt_fs.c
extract_compressed_opt_fs_LDADD = -lz
cloopprofiler_SOURCES = cloop_optimizer.c cloop_optimzer.h\
			log2list.c log2list.h \
			support.c support.h \
			interface.c \
			callbacks.c callbacks.h\
			cloopprofiler.c  cloopprofiler.h

cloopprofiler_LDADD = ${GTK_LIBS} ${GTHREAD_LIBS}
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  util/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  util/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status util/config.h
$(srcdir)/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f stamp-h1
	touch $@

distclean-hdr:
	-rm -f config.h stamp-h1
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
appblk2bl$(EXEEXT): $(appblk2bl_OBJECTS) $(appblk2bl_DEPENDENCIES) 
	@rm -f appblk2bl$(EXEEXT)
	$(LINK) $(appblk2bl_LDFLAGS) $(appblk2bl_OBJECTS) $(appblk2bl_LDADD) $(LIBS)
cloopoptimizer$(EXEEXT): $(cloopoptimizer_OBJECTS) $(cloopoptimizer_DEPENDENCIES) 
	@rm -f cloopoptimizer$(EXEEXT)
	$(LINK) $(cloopoptimizer_LDFLAGS) $(cloopoptimizer_OBJECTS) $(cloopoptimizer_LDADD) $(LIBS)

=== cloop-2.05-opt/advancecomp-1.14/Makefile ===
# Makefile.in generated by automake 1.9.5 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) $(advpng_SOURCES) $(advzip_SOURCES)

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/advancecomp
pkglibdir = $(libdir)/advancecomp
pkgincludedir = $(includedir)/advancecomp
top_builddir = .
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
bin_PROGRAMS = advzip$(EXEEXT) advpng$(EXEEXT) advmng$(EXEEXT) \
	advdef$(EXEEXT) advfs$(EXEEXT)
DIST_COMMON = README $(am__configure_deps) $(noinst_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/config.h.in $(top_srcdir)/configure AUTHORS COPYING \
	INSTALL config.guess config.sub install-sh missing
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno configure.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_advdef_OBJECTS = redef.$(OBJEXT) file.$(OBJEXT) data.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) pngex.$(OBJEXT) fz.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advdef_OBJECTS = $(am_advdef_OBJECTS)
advdef_LDADD = $(LDADD)
am_advfs_OBJECTS = advfs.$(OBJEXT) data.$(OBJEXT) siglock.$(OBJEXT) \
	compress.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	pngex.$(OBJEXT) fz.$(OBJEXT) error.$(OBJEXT) \
	snstring.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advfs_OBJECTS = $(am_advfs_OBJECTS)
advfs_LDADD = $(LDADD)
am_advmng_OBJECTS = remng.$(OBJEXT) pngex.$(OBJEXT) mngex.$(OBJEXT) \
	scroll.$(OBJEXT) file.$(OBJEXT) data.$(OBJEXT) \
	siglock.$(OBJEXT) compress.$(OBJEXT) getopt.$(OBJEXT) \
	snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) mng.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advmng_OBJECTS = $(am_advmng_OBJECTS)
advmng_LDADD = $(LDADD)
am_advpng_OBJECTS = repng.$(OBJEXT) pngex.$(OBJEXT) file.$(OBJEXT) \
	data.$(OBJEXT) siglock.$(OBJEXT) compress.$(OBJEXT) \
	getopt.$(OBJEXT) snprintf.$(OBJEXT) fz.$(OBJEXT) png.$(OBJEXT) \
	error.$(OBJEXT) snstring.$(OBJEXT) 7zdeflate.$(OBJEXT) \
	7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) CRC.$(OBJEXT) \
	DeflateDecoder.$(OBJEXT) DeflateEncoder.$(OBJEXT) \
	HuffmanEncoder.$(OBJEXT) IInOutStreams.$(OBJEXT) \
	InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) LSBFEncoder.$(OBJEXT) \
	LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) LZMAEncoder.$(OBJEXT) \
	LenCoder.$(OBJEXT) LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) \
	WindowIn.$(OBJEXT) WindowOut.$(OBJEXT)
advpng_OBJECTS = $(am_advpng_OBJECTS)
advpng_LDADD = $(LDADD)
am_advzip_OBJECTS = rezip.$(OBJEXT) zip.$(OBJEXT) file.$(OBJEXT) \
	data.$(OBJEXT) siglock.$(OBJEXT) compress.$(OBJEXT) \
	zipsh.$(OBJEXT) getopt.$(OBJEXT) snprintf.$(OBJEXT) \
	7zdeflate.$(OBJEXT) 7zlzma.$(OBJEXT) AriBitCoder.$(OBJEXT) \
	CRC.$(OBJEXT) DeflateDecoder.$(OBJEXT) \
	DeflateEncoder.$(OBJEXT) HuffmanEncoder.$(OBJEXT) \
	IInOutStreams.$(OBJEXT) InByte.$(OBJEXT) LSBFDecoder.$(OBJEXT) \
	LSBFEncoder.$(OBJEXT) LZMA.$(OBJEXT) LZMADecoder.$(OBJEXT) \
	LZMAEncoder.$(OBJEXT) LenCoder.$(OBJEXT) \
	LiteralCoder.$(OBJEXT) OutByte.$(OBJEXT) WindowIn.$(OBJEXT) \
	WindowOut.$(OBJEXT)
advzip_OBJECTS = $(am_advzip_OBJECTS)
advzip_LDADD = $(LDADD)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) \
	$(advpng_SOURCES) $(advzip_SOURCES)
DIST_SOURCES = $(advdef_SOURCES) $(advfs_SOURCES) $(advmng_SOURCES) \
	$(advpng_SOURCES) $(advzip_SOURCES)
man1dir = $(mandir)/man1
NROFF = nroff
MANS = $(man_MANS)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run aclocal-1.9
AMTAR = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run tar
AUTOCONF = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run autoconf
AUTOHEADER = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run autoheader
AUTOMAKE = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run automake-1.9
AWK = gawk
CC = gcc
CFLAGS = -g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS -D_REENTRANT -pthread
COL = col
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXFLAGS = -g -O2 -DUSE_ERROR_SILENT -DUSE_COMPRESS -D_REENTRANT -pthread
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
GROFF = groff
GZIP = gzip
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lpthread -lz 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /ramdisk/home/knoppix/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/missing --run makeinfo
OBJEXT = o
PACKAGE = advancecomp
PACKAGE_BUGREPORT = 
PACKAGE_NAME = AdvanceCOMP
PACKAGE_STRING = AdvanceCOMP 1.14
PACKAGE_TARNAME = advancecomp
PACKAGE_VERSION = 1.14
PATH_SEPARATOR = :
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
TAR = tar
VERSION = 1.14
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_STRIP = 
am__leading_dot = .
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /ramdisk/home/knoppix/lcat_1.0-2.05/cloop-2.05-opt/advancecomp-1.14/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
advzip_SOURCES = \
	rezip.cc \
	zip.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	zipsh.cc \
	getopt.c \
	snprintf.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advpng_SOURCES = \
	repng.cc \
	pngex.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advmng_SOURCES = \
	remng.cc \
	pngex.cc \
	mngex.cc \
	scroll.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	lib/fz.c \
	lib/png.c \
	lib/mng.c \
	lib/error.c \
	lib/snstring.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advdef_SOURCES = \
	redef.cc \
	file.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \
	7z/WindowOut.cc

advfs_SOURCES = \
	advfs.cc \
	data.cc \
	siglock.cc \
	compress.cc \
	getopt.c \
	snprintf.c \
	pngex.cc \
	lib/fz.c \
	lib/error.c \
	lib/snstring.c \
	lib/png.c \
	lib/mng.c \
	7z/7zdeflate.cc \
	7z/7zlzma.cc \
	7z/AriBitCoder.cc \
	7z/CRC.cc \
	7z/DeflateDecoder.cc \
	7z/DeflateEncoder.cc \
	7z/HuffmanEncoder.cc \
	7z/IInOutStreams.cc \
	7z/InByte.cc \
	7z/LSBFDecoder.cc \
	7z/LSBFEncoder.cc \
	7z/LZMA.cc \
	7z/LZMADecoder.cc \
	7z/LZMAEncoder.cc \
	7z/LenCoder.cc \
	7z/LiteralCoder.cc \
	7z/OutByte.cc \
	7z/WindowIn.cc \

=== cloop-2.05-opt/debian/cloop-source/usr/src/modules/cloop/Makefile ===
#!/usr/bin/make

MACHINE=$(shell uname -m)
KERNEL_DIR=/usr/src/linux

file_exist=$(shell test -f $(1) && echo yes || echo no)

# test for 2.6 or 2.4 kernel
ifeq ($(call file_exist,$(KERNEL_DIR)/Rules.make), yes)
PATCHLEVEL:=4
else
PATCHLEVEL:=6
endif

ifdef APPSONLY
CFLAGS:=-Wall -Wstrict-prototypes -Wno-trigraphs -O2 -s -I. -fno-strict-aliasing -fno-common -fomit-frame-pointer 
endif

KERNOBJ:=compressed_loop.o

# Name of module
ifeq ($(PATCHLEVEL),6)
MODULE:=cloop.ko
else
MODULE:=cloop.o
endif

ALL_TARGETS = create_compressed_fs extract_compressed_fs
ifndef APPSONLY
ALL_TARGETS += $(MODULE)
endif

all: $(ALL_TARGETS)

module: $(MODULE)

utils: create_compressed_fs extract_compressed_fs

# For Kernel 2.6, we now use the "recommended" way to build kernel modules
obj-m := cloop.o
cloop-objs := compressed_loop.o

$(MODULE):
	@echo "Building for Kernel Patchlevel $(PATCHLEVEL)"
	$(MAKE) modules -C $(KERNEL_DIR) M=$(CURDIR)

create_compressed_fs: advancecomp-1.9_create_compressed_fs/advfs
	ln -f $< $@

advancecomp-1.9_create_compressed_fs/advfs:
	( $(MAKE) -C advancecomp-1.9_create_compressed_fs advfs )

extract_compressed_fs: extract_compressed_fs.o
	$(CC) -o $@ $< -lz

clean:
	rm -f create_compressed_fs extract_compressed_fs zoom *.o *.ko Module.symvers
	$(MAKE) -C advancecomp-1.9_create_compressed_fs clean

dist: clean
	cd .. ; \
	tar -cf - cloop/{Makefile,*.[ch],CHANGELOG,README} | \
	bzip2 -9 > $(HOME)/redhat/SOURCES/cloop.tar.bz2

compressed_loop.o create_compressed_fs.o: compressed_loop.h

=== debian/changelog ===
cloop (2.02.1+eb.10) unstable; urgency=low

  * synch with Ubuntu: fixes interaction with devmapper layer in the driver.
    Thanks for telling me, it is a "great" feeling doing duplicated work!
  * cloop-node-control.sh: better ssh options, not allocating pseudo tty,
    should help on AIX
  * simple fixes to compile advfs.cc on AIX
  * added sv.po by Daniel Nylander (closes: #331306)

 -- Eduard Bloch <blade@debian.org>  Thu, 06 Oct 2005 12:48:16 +0200

cloop (2.02.1+eb.8) unstable; urgency=low

  * create_compressed_fs bugfixes
    + correct identification of IP numbers, no longer confusing with the
      compatible option syntax
    + cygwin workarounds in the recv calls

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:25:37 +0200

cloop (2.02.1+eb.7) unstable; urgency=low

  * -L option for direct compression level choice
  * network protocol sligthly changed to create less overhead, also setting
    TCP_NODELAY option
  * cygwin build fixes

 -- Eduard Bloch <blade@debian.org>  Sun, 25 Sep 2005 18:21:59 +0200

cloop (2.02.1+eb.6) unstable; urgency=medium

  * added correct KERNELVERSION to kernel make flags (closes: #327792)

 -- Eduard Bloch <blade@debian.org>  Thu, 22 Sep 2005 16:22:41 +0200

cloop (2.02.1+eb.5) unstable; urgency=medium

  * fixed the option parser to correctly read the nodes list and use -B for
    best, not -b (the blocksize)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:49:59 +0200

cloop (2.02.1+eb.4) unstable; urgency=low

  * made option parser be more relaxed WRT old command syntax
  * updated manpage to reflect the new command and driver features

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 22:48:17 +0200

cloop (2.02.1+eb.3) unstable; urgency=low

  * advfs troughput message display frequency fixed, added ETA info
  * added experimental feature: splitting output into chunks of specified size
    like with split(1) (however without stdout mode with its problems)

 -- Eduard Bloch <blade@debian.org>  Wed, 14 Sep 2005 00:14:34 +0200

cloop (2.02.1+eb.2) unstable; urgency=low

  * Added EXTRA_CFLAGS to work around a weird FTBFS with kernel-headers-2.6.*
    packages, still looks like a bug _there_

 -- Eduard Bloch <blade@debian.org>  Thu, 08 Sep 2005 19:47:51 +0200

cloop (2.02.1+eb.1) experimental; urgency=low

  * rewrote advfs (multithreaded, network client/server feature and better
    memory/storage strategies), see header of advfs.cc for details
  * made the package native until the sync with KK (or maybe longer)
  * integrated advancecomp-1.14, separated the advfs add-on from the main
    package and stored it as a patch
  * dropped the advfs symlink, creating one was Debian specific and bad idea
    anyways. It is installed as create_compressed_fs as usual now.
  * removed cruft (.postinst file that has been overwritten anyways)

 -- Eduard Bloch <blade@debian.org>  Fri, 02 Sep 2005 21:40:36 +0200

cloop (2.02.1-1) unstable; urgency=low

  * New upstream release
    + sync with Knoppix version, version string relabeled as usual
  * rewrote the Makefile making use of kernel 2.6 build system, created
    proper install rules (I should have done this already for #288941). The
    strange problem with /usr/src/linux on kernel 2.4 should also go away
    (closes: #322360)
  * old versions of cloop module source removed (discontinued, they are not
    compatible with kernel 2.6 anyways). Get the packages from Stable if you
    need to read really old KNOPPIX images. (closes: #259699)
  * changelog cleanup, replaced Klaus' invalid local mail addresses
  * control file generations cleanup, dropped the old junk in favor of
    module-assistant's methods
  * updated and simplified (m-a) README.Debian instructions
  * using bzip2 for the source tarball
  * fixed the templates file installation in the modules packages
  * added Vietnamese translation by Clytie Siddall (closes: #313361)
  * added pt_BT translation by Rodrigo Tadeu Claro and Andre Luis Lopes
    (closes: #303675)
  * removed an "a" forgotten in plural form (closes: #313360), thanks Clytie
  * advfs patch to use a temporary file rather than memory by Sebastian
    Schmidt (closes: #297453)

 -- Eduard Bloch <blade@debian.org>  Fri, 19 Aug 2005 22:57:46 +0200

cloop (2.01.5-4) unstable; urgency=low

  * patch to fix Large File support in directly specified cloop volumes and
    cleanup device configuration on errors (closes: #298111)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Mar 2005 11:33:36 +0100

cloop (2.01.5-3) unstable; urgency=medium

  * made regular expression in Makefile more strict (no more false kernel-2.6
    detection, closes: #290957)
  * patch for amd64 from Andreas Jochens <aj@andaco.de> (closes: #288941)

 -- Eduard Bloch <blade@debian.org>  Sun, 06 Feb 2005 11:06:10 +0100

cloop (2.01.5-2) unstable; urgency=high

  * added -O2 option to solve symbole resolution problems (closes: #278207)
  * added patch from Andreas Jochens for gcc-3.4 compliancy (closes: #258579)
  * added Czesh translation (closes: #259179)

 -- Eduard Bloch <blade@debian.org>  Wed, 29 Dec 2004 21:52:21 +0100

cloop (2.01.5-1) unstable; urgency=low

  * New upstream release
    + devfs_unregister patch from Bernhard M. Wiedemann <bernhard@lsmod.de>
  * changed the manpage license from GFDL to GPL

 -- Eduard Bloch <blade@debian.org>  Tue, 12 Oct 2004 10:04:13 +0200

cloop (2.01.4-3) unstable; urgency=medium

  * Applied kernel 2.6.8 related patch from Thomas Jahns (closes: #271083)
  * Also added his patch for older cloop versions to build with zlib_inflate
    _modules_ - though it will still break with older kernels that did not
    export the uncompress symbol, see README.Debian and
    http://bugs.debian.org/cgi-bin/184246 for details
  * adapted the rules file to use common-rules.mk from module-assistant,
    including usage of the ROOT_CMD command (closes: #232974). For other
    myths about root_cmd in make-kpkg's config, read bugs.debian.org/242974



=== cloop-2.05-opt/debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Klaus Knopper <knoppix@knopper.net>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev
Standards-Version: 3.5.8

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

Package: cloop-module-2.6.19
Recommends: cloop-utils
Architecture: any
Description: The compressed loopback block device kernel module
 Cloop is the driver module for transparent access to a
 blockwise compressed partition image, containing an ISO9660 (or other)
 filesystem.

=== debian/control ===
Source: cloop
Section: misc
Priority: optional
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), zlib1g-dev, module-assistant, bzip2
Standards-Version: 3.6.2.1

Package: cloop-utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Tools for handling with cloop compressed volumes
 Utilities for creating and unpacking compressed loopback files
 for cloop.

Package: cloop-src
Architecture: all
Depends: module-assistant, bzip2
Suggests: linux-headers-2.6
Description: Source of the compressed loopback device module
 This package contains a source package for building the the cloop module.
 You can use make-kpkg to build a modules package for specific kernel.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

ARCH ?= $(shell dpkg --print-architecture)

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) libkudzu.a libkudzu_loader.a

	# dccprobe/vesa stuff only works on i386
	if [ $(ARCH) = i386 ]; then \
		cd ddcprobe && $(MAKE) ; \
	fi

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f *.do

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/kudzu-knoppix.

	# kudzu-vesa
	if [ $(ARCH) = i386 ]; then \
		mkdir -p $(CURDIR)/debian/kudzu-knoppix-vesa/usr/sbin ; \
		cp ddcprobe/ddcprobe $(CURDIR)/debian/kudzu-knoppix-vesa/usr/sbin/ ; \
		cp ddcprobe/ddcxinfo $(CURDIR)/debian/kudzu-knoppix-vesa/usr/sbin/ ; \
		cp ddcprobe/modetest $(CURDIR)/debian/kudzu-knoppix-vesa/usr/sbin/ ; \
		cp ddcprobe/svgamodes $(CURDIR)/debian/kudzu-knoppix-vesa/usr/sbin/ ; \
	fi

	# kudzu-dev
	mkdir -p $(CURDIR)/debian/kudzu-knoppix-dev/usr/include/kudzu
	cp *.h $(CURDIR)/debian/kudzu-knoppix-dev/usr/include/kudzu/
	mkdir -p $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib
	cp libkudzu.a $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib/
	cp libkudzu_loader.a $(CURDIR)/debian/kudzu-knoppix-dev/usr/lib/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
